- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
WPGTextDataContext Class Reference

`#include <WPG2Parser.h>`

## Public Member Functions
| WPGTextDataContext ()

## Public Attributes
double | x1
double | y1
double | x2
double | y2
unsigned short | flags
unsigned char | vertAlign
unsigned char | horAlign
double | baseLineAngle

## Constructor & Destructor Documentation

WPGTextDataContext::WPGTextDataContext | ( |  | ) |
| inline

## Member Data Documentation

double WPGTextDataContext::baseLineAngle

Referenced by WPG2Parser::handleTextBlock(), and WPG2Parser::handleTextLine().

unsigned short WPGTextDataContext::flags

Referenced by WPG2Parser::handleTextBlock(), and WPG2Parser::handleTextLine().

unsigned char WPGTextDataContext::horAlign

Referenced by WPG2Parser::handleTextBlock(), and WPG2Parser::handleTextLine().

unsigned char WPGTextDataContext::vertAlign

Referenced by WPG2Parser::handleTextBlock(), and WPG2Parser::handleTextLine().

double WPGTextDataContext::x1

Referenced by WPG2Parser::handleTextBlock(), WPG2Parser::handleTextData(), and WPG2Parser::handleTextLine().

double WPGTextDataContext::x2

Referenced by WPG2Parser::handleTextBlock(), WPG2Parser::handleTextData(), and WPG2Parser::handleTextLine().

double WPGTextDataContext::y1

Referenced by WPG2Parser::handleTextBlock(), WPG2Parser::handleTextData(), and WPG2Parser::handleTextLine().

double WPGTextDataContext::y2

Referenced by WPG2Parser::handleTextBlock(), WPG2Parser::handleTextData(), and WPG2Parser::handleTextLine().

The documentation for this class was generated from the following file:

- WPG2Parser.h